> This page is for version v8.3.0 (default).
> For other versions, use one of these documentation indexes:
> - v8.3.0 (default): https://docs.workflows.com/v-8-3-0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.workflows.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.workflows.com/_mcp/server.

# Get a simulation

GET https://api.reasoner.com/api/mindsim/simulations/{simulationId}

Returns a simulation and its messages by ID

Reference: https://docs.workflows.com/direct-api/api-reference/get-a-simulation

## Authentication

- `Authorization` header (bearer token, required) — API key passed as Bearer token in Authorization header (e.g., "Authorization: Bearer YOUR_API_KEY")

## Request

### Path parameters

- `simulationId` (string, required)

## Response

### 200

Successful response

- `simulation` (GetSimulationResponseSimulation, required)
- `messages` (list of SimulationMessage, required)

## Errors

### 403 Forbidden Error

Access denied

- `error` (string, optional)

### 404 Not Found Error

Simulation not found

- `error` (string, optional)

## Types

### GetSimulationResponseSimulation

- `id` (string, required)
- `userId` (string, required)
- `mindAssessmentId` (string, required, nullable)
- `title` (string, required)
- `mindId` (string, required, nullable)
- `digitalTwinId` (string, required, nullable)
- `organizationId` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)
- `user` (GetSimulationResponseSimulationUser, required)
- `sharedWithUsers` (list of GetSimulationResponseSimulationSharedWithUsersItems, required)

### SimulationMessage

- `id` (string, required)
- `userId` (string, required)
- `conversationId` (string, required)
- `role` (enum, required)
  - Allowed values: `assistant`, `user`, `system`
- `status` (enum, required)
  - Allowed values: `pending`, `completed`, `failed`
- `framework` (string, required, nullable)
- `createdAt` (string, required, nullable)
- `updatedAt` (string, required, nullable)
- `startedAt` (string, required, nullable)
- `completedAt` (string, required, nullable)
- `version` (string, required, nullable)
- `content` (any, optional, nullable) — Content of the message, structure depends on the role
- `errors` (any, optional, nullable)

### GetSimulationResponseSimulationUser

- `id` (string, required)
- `name` (string, required)
- `email` (string, required)
- `imageUrl` (string, required)
- `createdAt` (string, required, nullable)

### GetSimulationResponseSimulationSharedWithUsersItems

- `id` (string, required)
- `name` (string, required)
- `email` (string, required)
- `imageUrl` (string, required)
- `createdAt` (string, required, nullable)

## Examples

**Response**

```json
{
  "simulation": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "userId": "123e4567-e89b-12d3-a456-426614174001",
    "mindAssessmentId": "123e4567-e89b-12d3-a456-426614174002",
    "title": "Simulation with John Doe",
    "mindId": "123e4567-e89b-12d3-a456-426614174003",
    "digitalTwinId": "123e4567-e89b-12d3-a456-426614174004",
    "organizationId": "123e4567-e89b-12d3-a456-426614174005",
    "createdAt": "2025-01-01T00:00:00.000Z",
    "updatedAt": "2025-01-01T00:00:00.000Z",
    "user": {
      "id": "123e4567-e89b-12d3-a456-426614174006",
      "name": "John Doe",
      "email": "john.doe@example.com",
      "imageUrl": "https://example.com/john-doe.jpg",
      "createdAt": "2025-01-01T00:00:00.000Z"
    },
    "sharedWithUsers": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174006",
        "name": "John Doe",
        "email": "john.doe@example.com",
        "imageUrl": "https://example.com/john-doe.jpg",
        "createdAt": "2025-01-01T00:00:00.000Z"
      }
    ]
  },
  "messages": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174006",
      "userId": "123e4567-e89b-12d3-a456-426614174001",
      "conversationId": "123e4567-e89b-12d3-a456-426614174000",
      "role": "user",
      "status": "completed",
      "framework": "react",
      "createdAt": "2025-01-01T00:00:00.000Z",
      "updatedAt": "2025-01-01T00:00:00.000Z",
      "startedAt": "2025-01-01T00:00:00.000Z",
      "completedAt": "2025-01-01T00:00:00.000Z",
      "version": "1.0.0",
      "content": null,
      "errors": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.reasoner.com/api/mindsim/simulations/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```